steps:
  build_and_release:
    image: woodpeckerci/plugin-kaniko:next
    pull: true
    environment:
      - CTAG="2.0.0"
    settings:
      registry: git.sandbox.iuk.hdm-stuttgart.de
      repo: grosse/jupyterhub
      tags: ${CTAG}
      log_level: debug
      dockerfile: Dockerfile
      username:
        from_secret: docker_username
      password:
        from_secret: docker_password
